[block: random_top_articles]
<div class="container">
	<div class="col-12">
		<div class="box">
			<div class="header-text-plain bigger"><a href="https://www.gamingonlinux.com/hot-articles/">Hot Articles Over The Last 30 Days</a></div>
			<div class="box footer-articles">
				{:random_list}
			</div>
			<div class="box"><a href="https://www.gamingonlinux.com/hot-articles/">&#10146; See more of our hottest articles here</a></div>
		</div>
	</div>
</div>
[/block: random_top_articles]

[block: recent_open_source]
<div class="container">
	<div class="col-12">
		<div class="box">
			<div class="header-text-plain bigger">Recent Linux Distribution and Open Source News</div>
			<div class="box footer-articles">
				{:random_list}
			</div>
		</div>
	</div>
</div>
[/block: recent_open_source]

[block: ckeditor]
<script src="/includes/ckeditor/ckeditor.js?v=4.22"></script>
<script src="{:jsstatic}/GOL/ckeditor-custom.js?v=1.1.12"></script>
[/block: ckeditor]

[block: footer]
</div>
<footer id="footer" class="group smooth grid">
	<div id="footer-wrapper" class="row">
		<div class="container">
			<div id="social" class="col-6">
				<div class="box footer-header">Join us</div>
				<ul>
					{:rss_link}
					<li><a {:masto_rel} title="Mastodon" class="tooltip-top" href="https://follow.gamingonlinux.com" rel="noopener noreferrer" target="_blank"><img loading="lazy" alt="Mastodon" src="/templates/default/images/network-icons/white/mastodon.svg" width="30" height="30" /></a></li>
					<li><a title="Twitter" class="tooltip-top" href="https://twitter.com/gamingonlinux" rel="noopener noreferrer" target="_blank"><img loading="lazy" alt="Twitter" src="/templates/default/images/network-icons/white/twitter.svg" width="30" height="30" /></a></li>
					<li><a title="Threads" class="tooltip-top" href="https://www.threads.net/@gaming0nlinux" rel="noopener noreferrer" target="_blank"><img loading="lazy" alt="Threads" src="/templates/default/images/network-icons/white/threads.svg" width="30" height="30" /></a></li>
					<li><a title="Bluesky" class="tooltip-top" href="https://bsky.app/profile/gamingonlinux.com" rel="noopener noreferrer" target="_blank"><img loading="lazy" alt="Threads" src="/templates/default/images/network-icons/white/bluesky.svg" width="30" height="30" /></a></li>
					<li><a title="Telegram" class="tooltip-top" href="https://t.me/linux_gaming" rel="noopener noreferrer" target="_blank"><img loading="lazy" alt="GOL Telegram" src="/templates/default/images/network-icons/white/telegram.svg" width="30" height="30" /></a></li>
					<li><a title="Discord" class="tooltip-top" href="{:discord_link}" rel="noopener noreferrer" target="_blank"><img loading="lazy" alt="GOL Discord" src="/templates/default/images/network-icons/white/discord.svg" width="30" height="30" /></a></li>
					<li><a title="Steam Community" class="tooltip-top" href="https://steamcommunity.com/groups/gamingonlinux" rel="noopener noreferrer" target="_blank"><img loading="lazy" alt="GOL Steam" src="/templates/default/images/network-icons/white/steam.svg" width="30" height="30" /></a></li>
					<li><a title="Youtube" class="tooltip-top" href="https://www.youtube.com/@gamingonlinux" rel="noopener noreferrer" target="_blank"><img loading="lazy" alt="GOL YouTube" src="/templates/default/images/network-icons/white/youtube.svg" width="30" height="30" /></a></li>
				</ul>
			</div>
			<div id="about" class="col-6">
				<div class="col-10">
				<a href="{:url}">GamingOnLinux &copy; {:year}</a><br />
				<br />
				<a href="/about-us/">About Us</a>, <a href="/email-us/">Contact Us</a>, <a href="{:url}privacy.html">Privacy</a>, <a href="{:url}ethics.html">Ethics</a></div>
				<div class="col-2">
					<img src="{:url}templates/default/images/logos/{:branding_icon}" height="100" width="100" alt="logo" /></div>
			</div>
		</div>
	</div>
</footer>
<script src="{:jsstatic}/GOL/header.min.js?v=2.5.15"></script>
<script src="{:jsstatic}/jquery.are-you-sure.js"></script>
<link rel="stylesheet" type="text/css" href="{:jsstatic}/select2/css/select2.min.css">
<script src="{:jsstatic}/select2/js/select2.min.js?v=4"></script>
<!-- fancybox for images -->
<link rel="stylesheet" href="{:jsstatic}/fancybox/jquery.fancybox.css?v=3" type="text/css" media="screen" />
<script src="{:jsstatic}/fancybox/jquery.fancybox.min.js?v=3"></script>
<link rel="stylesheet" href="{:jsstatic}/autocomplete/easy-autocomplete.min.css"> 
<script src="{:jsstatic}/autocomplete/jquery.easy-autocomplete.min.js"></script> 
<script>
	var sale_search_options = {
		url: function(phrase) { 
				return "/includes/ajax/gamesdb/search_games.php?return_type=text&q=" + phrase + "&type=sales&format=json";    
		},

		getValue: "data",
		adjustWidth: false,

		ajaxSettings: {
			dataType: "json"
		},
		requestDelay: 300,
		list: {
			onClickEvent: function() {
				var replaced = $("#sale-search").val().replace(/ /g, '+');
			}	
		}
	};

	var free_search_options = {
		url: function(phrase) { 
				return "/includes/ajax/gamesdb/search_games.php?return_type=text&q=" + phrase + "&type=free&format=json";    
		},

		getValue: "data",
		adjustWidth: false,

		ajaxSettings: {
			dataType: "json"
		},
		requestDelay: 300,
		list: {
			onClickEvent: function() {
				var replaced = $("#free-search").val().replace(/ /g, '+');
			}	
		}
	};

	var all_search_options = {
		url: function(phrase) { 
				return "/includes/ajax/gamesdb/search_games.php?return_type=text&q=" + phrase + "&type=all&format=json";    
		},

		getValue: "data",
		adjustWidth: false,

		ajaxSettings: {
			dataType: "json"
		},
		requestDelay: 300,
		list: {
			onClickEvent: function() {
				var replaced = $("#all-games-search").val().replace(/ /g, '+');
			}	
		}
	};

$("#sale-search").easyAutocomplete(sale_search_options);
$("#free-search").easyAutocomplete(free_search_options);
$("#all-games-search").easyAutocomplete(all_search_options);

// keep session alive for CSRF tokens
var refreshSn = function ()
{
    var time = 300000; // 5 mins, milliseconds
    setTimeout(
        function ()
        {
        $.ajax({
           url: '/includes/ajax/refresh_session.php',
           cache: false,
           complete: function () {refreshSn();}
        });
    },
    time
	);
};
refreshSn()
</script>
<script src="{:jsstatic}/sorttable.min.js"></script> 
<script src="{:jsstatic}/clipboard/clipboard.min.js"></script>
{:ckeditor_js}
{:user_chart_js}
</body>
</html>{:debug}
[/block: footer]
